import os
from itertools import izip

from subcss.cli import main

import nose.tools as NT


HERE = os.path.dirname(os.path.abspath(__file__))


def test_substitution_works():
    os.chdir(HERE)
    main(sysargs=['sample.rcss', '-C', '-S'])

    expected_output = open('expected.css').readlines()
    actual_output = open('sample.css').readlines()

    for expected, actual in izip(expected_output, actual_output):
        yield NT.assert_equal, expected, actual

    os.remove('sample.css')
